@import "../../styles/colors";

.intro-header {
  background: $white;
  box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
  height: 100%;

  @media (max-width: 992px) {
    margin-bottom: 15px;
  }
  margin-left: auto;
  padding-bottom: 10px;

  .about-me {
    @media (max-width: 991px) {
      box-shadow: 0 0px 5px 0 rgba(0, 0, 0, 0.1),
        0 5px 15px 0 rgba(0, 0, 0, 0.05);
      padding-bottom: 20px;
      margin-bottom: 20px;
    }
    .avatar {
      margin: 2rem;
      border-radius: 4%;
      height: 170px;
      width: 170px;

      -webkit-transition: border-radius 1s;
      -o-transition: border-radius 1s;
      transition: border-radius 1s;

      &:hover {
        border-radius: 100%;
      }
    }
    h4 {
      color: #337a4b;
      font-weight: 600;
    }

    .name {
      color: $regal-blue;
      text-decoration: none;

      :hover {
        color: $light-blue;
      }
    }
  }

  .custom-icon {
    i {
      transition: background 1s cubic-bezier(0.22, 0.61, 0.36, 1);
      background: $regal-blue;
      border-radius: 50%;
    }

    &:hover {
      border-radius: 50%;

      i {
        background: $light-blue;
      }
    }
  }

  .subscription {
    margin-top: 0.825rem;
    margin-bottom: 0.825rem;
  }
}
